Imagemagick lacks support for webp

Bug #1117481 reported by Janghou on 2013-02-06
88
This bug affects 17 people
Affects Status Importance Assigned to Milestone
imagemagick (Debian)
New
Unknown
imagemagick (Ubuntu)
Wishlist
Unassigned

Bug Description

On https://developers.google.com/speed/webp/docs/using is stated that ImageMagick does support webp

The Ubuntu source package for imagemagick does not declare a build dependency on libwebp-dev. Thus imagemagick gets build without webp support.

I consider this a bug and suggest that ImageMagick should be build with webp support

http://askubuntu.com/questions/251950/imagemagick-convert-cant-convert-to-webp

Janghou (janghou) wrote :

12.04 LTS

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in imagemagick (Ubuntu):
status: New → Confirmed

As the debian mainteners, I refuse to add webp support as is.

in six month we found 5 security bugs in webp support.

Please let the time to stabilize

Changed in imagemagick (Ubuntu):
status: Confirmed → Opinion
Dimitri John Ledkov (xnox) wrote :

@ broucaries

But does that mean, there is no way to convert webp images to/from other format at the moment on Debian/Ubuntu or are there any tools to do conversions available in some other package?

Dimitri John Ledkov (xnox) wrote :

In the mean time one can install:

$ sudo apt-get install webp

And use dwebp and cwebp commands to decompress/compress from/to webp file format.

Daniel Loureiro (loureirorg) wrote :

it's 03/24/2015, almost 2 years after the "Please let the time to stabilize" answer. It's needed more time?

Some Google-affiliated researchers have fuzzed WebP in ImageMagick and found no significant bugs thus far. I would say that WebP support is more stable at this time. Please build it as default option.

Changed in imagemagick (Ubuntu):
status: Opinion → Confirmed
tags: added: precise trusty vivid
tags: added: packaging
removed: precise trusty vivid
tags: added: precise trusty vivid
tags: added: patch-forwarded-debian patch-rejected-debian upgrade-software-version verification-needed
Changed in imagemagick (Ubuntu):
importance: Undecided → Wishlist
WoodyEckelzone (bcr497) wrote :

Even PHP has webp support since 5.5

http://php.net/manual/en/migration55.new-features.php

meteor (604733992-qq) wrote :

:+1

Changed in imagemagick (Debian):
status: Unknown → New
Hachmann (marenhachmann) wrote :

Just encountered the problem in Xenial.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.